=== debian/changelog ===
tinyusb (0.16.0+dfsg-2) unstable; urgency=medium

  * source-only upload to allow testing migration

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 04 May 2024 09:11:14 +0200

tinyusb (0.16.0+dfsg-1) unstable; urgency=medium

  * Initial release. (closes: #1069245)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 18 Apr 2024 16:15:21 +0200
