=== debian/control ===
Source: tinyusb
Section: libdevel
Priority: optional
Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
Homepage: https://github.com/hathach/tinyusb/
Vcs-Browser: https://salsa.debian.org/debian/tinyusb
Vcs-Git: https://salsa.debian.org/debian/tinyusb.git
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: tinyusb-source
Architecture: all
Description: USB stack for embedded systems
 TinyUSB is an open-source cross-platform USB Host/Device stack for embedded
 system, designed to be memory-safe with no dynamic allocation and thread-safe
 with all interrupt events are deferred then handled in the non-ISR task
 function.
