=== debian/changelog ===
tinyusb (0.17.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.17.0+dfsg (Closes: #1086717)
  * debian/copyright: update

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 27 Nov 2024 10:38:08 +0100

tinyusb (0.16.0+dfsg-3) unstable; urgency=medium

  * tinyusb-source: mark as multi-arch:foreign

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 05 Jun 2024 19:04:50 +0200
