=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%, \
     dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
     https://github.com/hathach/tinyusb/tags \
     (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
