=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,7 @@
       -Wunused-function
       -Wreturn-type
       -Wredundant-decls
+      -Wmissing-prototypes
       )
   elseif (CMAKE_C_COMPILER_ID STREQUAL "IAR")
