=== examples/device/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 family_add_subdirectory(msc_dual_lun)
 family_add_subdirectory(net_lwip_webserver)
 family_add_subdirectory(uac2_headset)
+family_add_subdirectory(uac2_speaker_fb)
 family_add_subdirectory(usbtmc)
 family_add_subdirectory(video_capture)
 family_add_subdirectory(video_capture_2ch)
