=== examples/device/audio_test_freertos/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
 
 # Example source
 target_sources(${PROJECT} PUBLIC
-  ${CMAKE_CURRENT_SOURCE_DIR}/src/freertos_hook.c
   ${CMAKE_CURRENT_SOURCE_DIR}/src/main.c
   ${CMAKE_CURRENT_SOURCE_DIR}/src/usb_descriptors.c
   )
