=== debian/changelog ===
tinyusb (0.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.18.0+dfsg

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 17 Mar 2025 00:12:16 +0100
