=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 Package: tinyusb-source
 Architecture: all
+Multi-Arch: foreign
 Description: USB stack for embedded systems
  TinyUSB is an open-source cross-platform USB Host/Device stack for embedded
  system, designed to be memory-safe with no dynamic allocation and thread-safe
